// Purely for Doxygen documentation purposes.

/// @file

/*! \mainpage Selene API documentation
 *
 * **Selene** is a C++14 image representation, processing and I/O library.
 *
 * For introductory information about the library, please visit its GitHub page:
 * - https://github.com/kmhofmann/selene
 *
 * It currently contains, among other things:
 * - Statically and dynamically typed in-memory image data representations.
 * - Functions for reading and writing image data in JPEG and PNG formats (from/to files or memory).
 * - Basic image processing functionality, such as:
 *   - Image pixel access using various interpolation algorithms (nearest neighbor, bilinear) and boundary handling
 * strategies (no check, replicate boundary, zero padding).
 *   - Algorithms to apply point-wise operations to images/views.
 *   - Pixel-level and image-level conversion functions between different pixel formats (e.g. RGB -> Grayscale, etc.).
 * - Functions for interoperability with OpenCV cv::Mat matrices (wrapping or cloning).
 * - Functions for binary IO from and to files or memory.
 * - A simple thread pool, to enable task-based parallelism.
 *
 * This is the automatically generated Doxygen documentation for the **Selene** API.
 */
